﻿package  
{
	import flash.text.TextField;
	import flash.display.Sprite;
	import flash.filters.GlowFilter;
	
	import com.urbansquall.preloader.Preloader;
	
	/**
	 * ...
	 * @author Selene
	 */
	
	[SWF(width=800, height=600, backgroundColor=0x000000, frameRate=30)]	

	public class SeektorPreloader extends Preloader
	{
		
		private var percent:TextField;
		private var bar:Sprite;
		
		
		override protected function beginLoading() : void
		{
			percent = new TextField();
			addChild( percent );
			percent.text = "0%";
			percent.textColor = 0x00FF00;
			percent.x = (800 - percent.width) / 2.0;
			percent.y = 340;
			
			bar = new Sprite();
			bar.graphics.lineStyle(1, 0x00FF00, 1);
			bar.graphics.drawRect(0, 0, 600, 32);
			bar.x = 100;
			bar.y = 284;
			bar.scaleX = 0.01;
			bar.scaleY = 1;
			bar.filters = [new GlowFilter(0x00FF00, 0.4, 5, 5)];
			
			addChild(bar);
		}

		override protected function updateLoading( a_percent : Number ) : void
		{
			percent.text = Math.round( a_percent * 100 ) + "%";
			bar.scaleX = a_percent;
		}

		override protected function endLoading() : void
		{
			removeChild( percent );
			removeChild(bar);
			bar.filters = null;
			bar = null;
			percent = null;
		}
		
		override protected function get mainClassName() : String { return "Main"; }

	}

}